Fiscal Periods

Fiscal Periods endpoints for the Accounting API

Key terms for this page
Unified API
A common interface and data model for a category of services, such as accounting.
Consumer
An Apideck record representing the customer or isolated customer account whose integrations you access.
Connector
Apideck’s integration with a downstream service, such as QuickBooks, Xero or NetSuite.
Glossary

A Fiscal Period is a posting period of the company's fiscal calendar, with its start and end dates and whether it is open for posting.

The Fiscal Periods model

idstring

A unique identifier for an object.

namestring or null

Name of the fiscal period as shown in the accounting system.

fiscal_yearstring or null

The calendar year in which the period's fiscal year ends, as four digits (Jul 2025 to Jun 2026 is 2026). Derived from the fiscal year's end date; the accounting system's own label is in name.

period_numberinteger or null

Position of the period within its fiscal year, starting at 1.

start_datestring or null

First day of the period (inclusive).

end_datestring or null

Last day of the period (inclusive).

Fiscal Periods example
{}

List Fiscal Periods

get
https://unify.apideck.com/accounting/fiscal-periods

List the fiscal (accounting) periods of the company, with their dates and whether they are open for posting.

Authorizations:

Header parameters

x-apideck-consumer-idstring
required

ID of the consumer which you want to get or push data from

x-apideck-app-idstringnon-empty
required

The ID of your Unify application

x-apideck-service-idstring

Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API.

x-apideck-company-idstring

The ID of the company to scope requests to. For connectors that support multi-company, this overrides the default company configured in connection settings.

Query parameters

rawboolean
Default:false

Include raw response. Mostly used for debugging purposes

cursorstring or null

Cursor to start from. You can find cursors for next/previous pages in the meta.cursors property of the response.

limitinteger[ 1 .. 200 ]
Default:20

Number of results to return. Minimum 1, Maximum 200, Default 20

pass_throughobjectpass_through[example_downstream_property]=example_downstream_property

Optional unmapped key/values that will be passed through to downstream as query parameters. Ie: ?pass_through[search]=leads becomes ?search=leads

fieldsstring or null

The 'fields' parameter allows API users to specify the fields they want to include in the API response. If this parameter is not present, the API will return all available fields. If this parameter is present, only the fields specified in the comma-separated string will be included in the response. Nested properties can also be requested by using a dot notation.

Example: fields=name,email,addresses.city

In the example above, the response will only include the fields "name", "email" and "addresses.city". If any other fields are available, they will be excluded.

Responses

200Fiscal Periods
400Bad Request
401Unauthorized
402Payment Required
404The specified resource was not found
422Unprocessable

Mapping coverage per connector

DATEV Unternehmen Online
DATEV Unternehmen Online
Exact Online
Exact Online
Exact Online NL
Exact Online NL
Exact Online UK
Exact Online UK
Fortnox
Fortnox
FreeAgent
FreeAgent
Microsoft Dynamics 365 Business Central
Microsoft Dynamics 365 Business Central
Minox
Minox
NetSuite
NetSuite
Odoo
Odoo
Oracle Fusion Cloud
Oracle Fusion Cloud
Pennylane
Pennylane
Procountor
Procountor
QuickBooks
QuickBooks
SnelStart
SnelStart
Spiris
Spiris
Twinfield
Twinfield
Visma eAccounting
Visma eAccounting
Visma Netvisor
Visma Netvisor
Xero
Xero
Access Financials
Access Financials
Request
Acumatica
Acumatica
Request
AFAS Software
AFAS Software
Request
Alegra
Alegra
Request
banqUP
banqUP
Request
Campfire
Campfire
Request
Clear Books
Clear Books
Request
Digits
Digits
Request
Dualentry
Dualentry
Request
e-Boekhouden.nl
e-Boekhouden.nl
Request
FreshBooks
FreshBooks
Request
Holded
Holded
Request
Intuit Bank Feeds
Intuit Bank Feeds
Request
Intuit Enterprise Suite
Intuit Enterprise Suite
Request
Kashflow
Kashflow
Request
Lexware Office
Lexware Office
Request
Moneybird
Moneybird
Request
MRI Software
MRI Software
Request
MYOB
MYOB
Request
MYOB Acumatica
MYOB Acumatica
Request
Plaid Core Exchange
Plaid Core Exchange
Request
QuickBooks Desktop
QuickBooks Desktop
Request
Restaurant365
Restaurant365
Request
Rillet
Rillet
Request
Sage Business Cloud Accounting
Sage Business Cloud Accounting
Request
Sage Intacct
Sage Intacct
Request
Sage Intacct REST
Sage Intacct REST
Request
SAP S/4HANA Cloud
SAP S/4HANA Cloud
Request
sevDesk
sevDesk
Request
Stripe
Stripe
Request
Wafeq
Wafeq
Request
Wave
Wave
Request
Workday
Workday
Request
Yuki
Yuki
Request
Zoho Books
Zoho Books
Request

Request example

package main

import(
	"context"
	"os"
	sdkgo "github.com/apideck-libraries/sdk-go"
	"github.com/apideck-libraries/sdk-go/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := sdkgo.New(
        sdkgo.WithConsumerID("test-consumer"),
        sdkgo.WithAppID("dSBdXd2H6Mqwfg0atXHXYcysLJE9qyn1VwBtXHX"),
        sdkgo.WithSecurity(os.Getenv("APIDECK_API_KEY")),
    )

    res, err := s.Accounting.FiscalPeriods.List(ctx, operations.AccountingFiscalPeriodsAllRequest{
        ServiceID: sdkgo.Pointer("quickbooks"),
        CompanyID: sdkgo.Pointer("12345"),
        PassThrough: map[string]any{
            "search": "San Francisco",
        },
        Fields: sdkgo.Pointer("id,updated_at"),
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.GetFiscalPeriodsResponse != nil {
        for {
            // handle items

            res, err = res.Next()

            if err != nil {
                // handle error
            }

            if res == nil {
                break
            }
        }
    }
}

Response example

{
  "status_code": 200,
  "status": "OK",
  "service": "netsuite",
  "resource": "fiscal-periods",
  "operation": "all",
  "data": [
    {
      "id": "12345",
      "name": "Jan 2026",
      "fiscal_year": "2026",
      "period_number": 1,
      "start_date": "2026-01-01",
      "end_date": "2026-01-31",
      "status": "open",
      "locked_through": "2026-09-30",
      "type": "period",
      "is_adjustment": false,
      "created_at": "2020-09-30T07:43:32.000Z",
      "updated_at": "2020-09-30T07:43:32.000Z",
      "custom_mappings": {}
    }
  ],
  "meta": {
    "items_on_page": 50,
    "cursors": {
      "previous": "em9oby1jcm06OnBhZ2U6OjE=",
      "current": "em9oby1jcm06OnBhZ2U6OjI=",
      "next": "em9oby1jcm06OnBhZ2U6OjM="
    },
    "total_count": 1,
    "warnings": [
      {
        "type": "downstream_request_failed",
        "status_code": 429,
        "error": "string",
        "operation": "getManager",
        "message": "string"
      }
    ]
  },
  "links": {
    "previous": "https://unify.apideck.com/crm/companies?cursor=em9oby1jcm06OnBhZ2U6OjE%3D",
    "current": "https://unify.apideck.com/crm/companies",
    "next": "https://unify.apideck.com/crm/companies?cursor=em9oby1jcm06OnBhZ2U6OjM"
  },
  "_raw": {}
}

Get Fiscal Period

get
https://unify.apideck.com/accounting/fiscal-periods/{id}

Get Fiscal Period

Authorizations:

Path parameters

idstring
required

ID of the record you are acting upon.

Header parameters

x-apideck-consumer-idstring
required

ID of the consumer which you want to get or push data from

x-apideck-app-idstringnon-empty
required

The ID of your Unify application

x-apideck-service-idstring

Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API.

x-apideck-company-idstring

The ID of the company to scope requests to. For connectors that support multi-company, this overrides the default company configured in connection settings.

Query parameters

rawboolean
Default:false

Include raw response. Mostly used for debugging purposes

fieldsstring or null

The 'fields' parameter allows API users to specify the fields they want to include in the API response. If this parameter is not present, the API will return all available fields. If this parameter is present, only the fields specified in the comma-separated string will be included in the response. Nested properties can also be requested by using a dot notation.

Example: fields=name,email,addresses.city

In the example above, the response will only include the fields "name", "email" and "addresses.city". If any other fields are available, they will be excluded.

Responses

200Fiscal Period
400Bad Request
401Unauthorized
402Payment Required
404The specified resource was not found
422Unprocessable

Mapping coverage per connector

DATEV Unternehmen Online
DATEV Unternehmen Online
Exact Online
Exact Online
Exact Online NL
Exact Online NL
Exact Online UK
Exact Online UK
Fortnox
Fortnox
FreeAgent
FreeAgent
Microsoft Dynamics 365 Business Central
Microsoft Dynamics 365 Business Central
Minox
Minox
NetSuite
NetSuite
Odoo
Odoo
Oracle Fusion Cloud
Oracle Fusion Cloud
Pennylane
Pennylane
Procountor
Procountor
QuickBooks
QuickBooks
SnelStart
SnelStart
Spiris
Spiris
Twinfield
Twinfield
Visma eAccounting
Visma eAccounting
Visma Netvisor
Visma Netvisor
Xero
Xero
Access Financials
Access Financials
Request
Acumatica
Acumatica
Request
AFAS Software
AFAS Software
Request
Alegra
Alegra
Request
banqUP
banqUP
Request
Campfire
Campfire
Request
Clear Books
Clear Books
Request
Digits
Digits
Request
Dualentry
Dualentry
Request
e-Boekhouden.nl
e-Boekhouden.nl
Request
FreshBooks
FreshBooks
Request
Holded
Holded
Request
Intuit Bank Feeds
Intuit Bank Feeds
Request
Intuit Enterprise Suite
Intuit Enterprise Suite
Request
Kashflow
Kashflow
Request
Lexware Office
Lexware Office
Request
Moneybird
Moneybird
Request
MRI Software
MRI Software
Request
MYOB
MYOB
Request
MYOB Acumatica
MYOB Acumatica
Request
Plaid Core Exchange
Plaid Core Exchange
Request
QuickBooks Desktop
QuickBooks Desktop
Request
Restaurant365
Restaurant365
Request
Rillet
Rillet
Request
Sage Business Cloud Accounting
Sage Business Cloud Accounting
Request
Sage Intacct
Sage Intacct
Request
Sage Intacct REST
Sage Intacct REST
Request
SAP S/4HANA Cloud
SAP S/4HANA Cloud
Request
sevDesk
sevDesk
Request
Stripe
Stripe
Request
Wafeq
Wafeq
Request
Wave
Wave
Request
Workday
Workday
Request
Yuki
Yuki
Request
Zoho Books
Zoho Books
Request

Request example

package main

import(
	"context"
	"os"
	sdkgo "github.com/apideck-libraries/sdk-go"
	"github.com/apideck-libraries/sdk-go/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := sdkgo.New(
        sdkgo.WithConsumerID("test-consumer"),
        sdkgo.WithAppID("dSBdXd2H6Mqwfg0atXHXYcysLJE9qyn1VwBtXHX"),
        sdkgo.WithSecurity(os.Getenv("APIDECK_API_KEY")),
    )

    res, err := s.Accounting.FiscalPeriods.Get(ctx, operations.AccountingFiscalPeriodsOneRequest{
        ID: "<id>",
        ServiceID: sdkgo.Pointer("quickbooks"),
        CompanyID: sdkgo.Pointer("12345"),
        Fields: sdkgo.Pointer("id,updated_at"),
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.GetFiscalPeriodResponse != nil {
        // handle response
    }
}

Response example

{
  "status_code": 200,
  "status": "OK",
  "service": "netsuite",
  "resource": "fiscal-periods",
  "operation": "one",
  "data": {
    "id": "12345",
    "name": "Jan 2026",
    "fiscal_year": "2026",
    "period_number": 1,
    "start_date": "2026-01-01",
    "end_date": "2026-01-31",
    "status": "open",
    "locked_through": "2026-09-30",
    "type": "period",
    "is_adjustment": false,
    "created_at": "2020-09-30T07:43:32.000Z",
    "updated_at": "2020-09-30T07:43:32.000Z",
    "custom_mappings": {}
  },
  "meta": {
    "items_on_page": 50,
    "cursors": {
      "previous": "em9oby1jcm06OnBhZ2U6OjE=",
      "current": "em9oby1jcm06OnBhZ2U6OjI=",
      "next": "em9oby1jcm06OnBhZ2U6OjM="
    },
    "total_count": 1,
    "warnings": [
      {
        "type": "downstream_request_failed",
        "status_code": 429,
        "error": "string",
        "operation": "getManager",
        "message": "string"
      }
    ]
  },
  "_raw": {}
}